Docs
Validate Template
POST /organizations/{organizationId}/templates/{templateId}/validate
POST
/organizations/{organizationId}/templates/{templateId}/validateChecks a template, its own or a global one, and returns its errors and warnings. Run it after editing a template and before creating events from it; the template is valid when there are no errors. The template id comes from Templates_GetTemplates.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| organizationId | uuid | Required | |
| templateId | uuid | Required |
Response
| Field | Type | Description |
|---|---|---|
| errors | TemplateValidationError[]| null | |
| warnings | TemplateValidationError[]| null | |
| isValid | boolean |
TemplateValidationError
| Field | Type | Description |
|---|---|---|
| entityId | uuid | |
| propertyName | string| null | |
| message | string| null | |
| severity | string| null |